# $Revision: 1.52.2.3.2.7 $, $Date: 2006/02/19 13:20:33 $
#
# Conditional build:
%bcond_without	protections	# remove protections against fair use (printing and copying)
#
%define		_pl	pl2

Summary:	Portable Document Format (PDF) file viewer
Summary(es):	Visualizador de archivos PDF
Summary(ja):	X Window System Ǥ PDF ե塼
Summary(pl):	Przegldarka plikw w formacie PDF
Summary(pt_BR):	Visualizador de arquivos PDF
Summary(ru):	   PDF 
Summary(uk):	   PDF ̦
Name:		xpdf
Version:	3.01
Release:	1.2
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tar.gz
# Source0-md5:	e004c69c7dddef165d768b1362b44268
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}rc
Patch0:		%{name}-remove_protections.patch
# official security fix
Patch1:		%{name}-nonumericlocale.patch
Patch2:		%{name}-%{version}pl1.patch
Patch3:		%{name}-cve-2006-0301.patch
URL:		http://www.foolabs.com/xpdf/
Icon:		xpdfIcon.gif
BuildRequires:	XFree86-devel
BuildRequires:	freetype-devel >= 2.0.6
BuildRequires:	libstdc++-devel
BuildRequires:	motif-devel
BuildRequires:	t1lib-devel >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_noautoreqdep	libXm.so.1 libXm.so.2

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files. PDF files are sometimes called Acrobat files, after Adobe
Acrobat (Adobe's PDF viewer). Xpdf is a small and efficient program
which uses standard X fonts.
%{!?with_protections:This version ignores protections for both: printing and copying.}

%description -l es
Xpdf es un visor de archivos PDF (Portable Document Format). (Estos
son algunas veces llamados de archivos 'Acrobat', nombre del software
PDF del Adobe. Xpdf fue proyectado para ser pequeo y eficiente. Usa
fuentes padrn X.

%description -l ja
xpdf  Portable Document Format (PDF) ե X Window System
Ǥ 塼ǤPDF ե Adobe Acrobat (Adobe  PDF
塼) ˤʤǡ  Acrobat եȸƤФޤxpdf
ϾɸŪ X ΥեȤ ȤŪʥץǤ PDF
եΥ塼ɬפʤСxpdf
ѥå򥤥󥹥ȡ뤷ޤ礦

%description -l pl
Xpdf jest przegldark plikw zapisanych w formacie PDF (Portable
Document Format). Xpdf jest zaprojektowany tak, by by maym i
wydajnym programem. Uywa fontw z zasobw X Window.
%{!?with_protections:Ta wersja ignoruje blokady zarwno drukowania jak i kopiowania.}

%description -l pt_BR
Xpdf  um visualizador de arquivos PDF (Portable Document Format).
(Estes so algumas vezes chamados de arquivos 'Acrobat', nome do
software PDF da Adobe. Xpdf foi projetado para ser pequeno e
eficiente. Ele usa fontes padro X.

%description -l ru
Xpdf -        Portable Document
Format (PDF).       
 X Window.

%description -l uk
Xpdf -     ̦  Ԧ Portable Document
Format (PDF).      դ Φ
 X Window.

%package tools
Summary:	Set of tools for viewing information and converting PDF files
Summary(pl):	Zestaw narzdzi do wywietlania informacji i konwertowania plikw PDF
Group:		Applications/Publishing
Provides:	pdftops
Obsoletes:	pdftohtml-pdftops

%description tools
Set of utilities for displaying information about PDF-files (pdfinfo,
pdffonts, pdfimages) and converting them (pdftopbm, pdftops,
pdftotext).

%description tools -l pl
Zestaw programw do wywietlania informacji o plikach PDF (pdfinfo,
pdffonts, pdfimages) i konwertowania ich do innych formatw (pdftopbm,
pdftops, pdftotext).

%prep
%setup -q
%{!?with_protections:%patch0 -p1}
#%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	--with-gzip \
	--enable-a4-paper \
	--enable-opi \
	--enable-freetype2 \
	--enable-multithreaded \
	--enable-wordlist \
	--with-freetype2-includes=/usr/include/freetype2 \
	--with-freetype-includes=/usr/include/freetype \
	--with-Xm-includes=/usr/X11R6/include

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Graphics/Viewers,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/xpdf

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics/Viewers
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README
%attr(755,root,root) %{_bindir}/xpdf
%config(noreplace,missingok) %verify(not md5 size mtime) %{_sysconfdir}/*
%{_datadir}/xpdf
%{_mandir}/man1/xpdf.1*
%{_mandir}/man5/xpdfrc.5*
%{_applnkdir}/Graphics/Viewers/*
%{_pixmapsdir}/*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdf*
%{_mandir}/man1/pdf*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf.spec,v $
Revision 1.52.2.3.2.7  2006/02/19 13:20:33  hawk
- added cve-2006-0301 patch
- release 1.2 for Ra

Revision 1.52.2.3.2.6  2005/12/07 13:14:52  hawk
- pl1 patch (CAN-2005-3191, CAN-2005-3192)
- release 1.1 for Ra

Revision 1.52.2.3.2.5  2005/08/31 18:22:10  hawk
- updated to 3.01, removed obsolete security patches

Revision 1.52.2.3.2.4  2005/01/25 10:54:48  hawk
- merged fix for CAN-2005-0064 from HEAD

Revision 1.52.2.3.2.3  2004/12/22 11:46:34  hawk
- merged pl2 patch from HEAD to fix CAN-2004-1125

Revision 1.52.2.3.2.2  2004/11/24 16:29:31  hawk
- merged from HEAD: updated to 3.00, new style bcond, enabled multithread
  and wordlist, added patch for interger overflow

Revision 1.52.2.3.2.1  2003/06/17 12:07:58  blues
- 2.02pl1 - security update

Revision 1.52.2.3  2003/03/28 23:40:16  gotar
- merge from HEAD

Revision 1.52.2.2  2003/03/20 17:47:24  gotar
- merge from HEAD

Revision 1.52.2.1  2003/01/02 20:54:58  kloczek
- release 6: security fix from ftp://ftp.foolabs.com/pub/xpdf/xpdf-2.01-patch1
  which is for xpdf-2.01 but also actuala for 1.x.
  Full bug description on http://www.idefense.com/advisory/12.23.02.txt

Revision 1.52  2002/09/25 15:13:35  gotar
- added xpdfrc tuned to PLD font locations,
- release 5, STBR.

Revision 1.51  2002/08/18 22:54:45  gotar
- added %{_datadir}/xpdf directory for handling language support files,
- pl %desc fix,
- release 4.

Revision 1.50  2002/06/26 09:18:00  wrobell
- config is config :-\

Revision 1.49  2002/06/26 08:56:59  wrobell
- more missing files
- rel. 3, stb

Revision 1.48  2002/06/26 08:51:38  wrobell
- simplified install section
- added missing manual files
- rel. 2, stb

Revision 1.47  2002/06/16 12:06:29  kloczek
- merge translations from KSI.

Revision 1.46  2002/05/22 16:09:20  qboosh
- use plain %%configure

Revision 1.45  2002/05/21 19:20:28  klark
- update to 1.01
- new %doc
- STBR

Revision 1.44  2002/04/02 02:23:21  jack
Added Obsoletes: pdftohtml-pdftops

Revision 1.43  2002/04/01 20:48:27  jack

- Added Provides pdftops (virtual package required by pdftohtml)
- Release 3

Revision 1.42  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/02/07 13:57:59  wrobell
- enable a4 paper printing by default
- build requirements as on homepage
- rel. 2
- stb

Revision 1.39  2002/02/07 02:29:28  kloczek
- fixed Source url.

Revision 1.38  2002/02/06 23:09:52  filon
- updated to 1.00

Revision 1.37  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/10/27 20:12:36  kloczek
- merge translations from CNV.

Revision 1.35  2001/10/27 09:02:04  misiek
- updated to 0.93

Revision 1.34  2001/10/03 02:48:57  marcus
- configure2_13

Revision 1.33  2001/08/10 14:06:57  roman
- fixed a typo

Revision 1.32  2001/07/25 07:12:42  kloczek
- release 6,
- added png Icon to desktop file,
- merged ja translation from Kondara.

Revision 1.31  2001/07/24 23:21:47  aflinta
- changed %configure to %configure2_13

Revision 1.30  2000/12/06 15:06:58  kloczek
- updated to 0.92,
- added using new rpm automation,
- removed outdated DESTDIR patch.

Revision 1.29  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.28  2000/08/17 05:40:32  kloczek
- updated to 0.91.

Revision 1.27  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/09 00:09:12  kloczek
- release 3,
- spec adapterized.

Revision 1.24  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.22  2000/03/27 02:25:12  kloczek
- release 2,
- rebuilder against t1lib >= 1.0.0.

Revision 1.21  1999/12/23 01:11:51  kloczek
- Copyright changed to GPL,
- adapterized.

Revision 1.20  1999/12/22 22:56:46  bszx
 - upgrade to 0.90

Revision 1.19  1999/09/17 13:39:31  pius
- added using %%configure macro
- cosmetics

Revision 1.18  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.17  1999/09/04 08:47:06  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.16  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.80-7]
- package is FHS 2.0 compliant,
- based on spec file by Joel Young <jyoung@erols.com>;
  rewritten for PLD use by me and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
